; EasyPrinter  Christian Klaussner, 2008
; Sample

Graphics 640, 320, 0, 2
Local img = LoadImage( "image.png" )

EP_Initialize

; Drucker-Auswahl anzeigen
Local count = EP_PrinterCount( )
Print "Anzahl der installierten Drucker: " + count
Print ""

For I=0 To count-1
	Print "Index: " + I
	Print "Name: " + EP_PrinterName( I )
	Print ""
Next

Local index = Int( Input( "Mit welchem Drucker soll gedruckt werden? " ) )

; Eigenschaften zum Drucken
Local ori = Int( Input( "Hochformat (1) oder Querformat (2)? " ) )
Local res = Int( Input( "Entwurf (1), Niedrig (2), Mittel (3) oder Hoch (4)? " ) )

; Druckvorgang beginnen
Local r = EP_BeginPrint( index, "EasyPrinter - Testdokument", ori, 0, res )
If Not r
	Print "Fehler beim Starten des Druckvorganges."
	WaitKey : End
End If
	
	Print "Das Papier ist " + EP_PageWidth( ) + " x " + EP_PageHeight( ) + " Pixel gro."
	
	; Neue Seite
	EP_BeginPage( )
		Local font1 = EP_LoadFont( "Georgia", 20, 0, 0, 0 )
		Local font2 = EP_LoadFont( "Georgia", 16, 1, 0, 1 )
	
		EP_TextColor 0, 0, 255
		EP_DrawText "Dieser Text erscheint in der Farbe Blau.", 10, 10, font1
		
		EP_TextColor 0, 0, 0
		EP_DrawText "Das folgende Bild wurde aus einem ImageBuffer auf das Dokument gezeichnet:", 10, 40, font2
		
		EP_FreeFont font1
		EP_FreeFont font2
		
		EP_DrawBuffer ImageBuffer( img ), 10, 80
	EP_EndPage

EP_EndPrint( )

Print "Der Druckvorgang wurde beendet."

WaitKey : End